/*
 * Newt-Puzzle
 * Copyright (C) Aude Jaulent 2008, 2009 <elderme@tuxfamily.org>
 * 
 * Newt-Puzzle is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Newt-Puzzle is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _VECTOR4_H_
#define _VECTOR4_H_

#include "vector3.h"


class Vector4
{
public:
	float x,y,z,w; 
	
	Vector4();
	Vector4(float a, float b, float c, float d);
	Vector4(Vector3 v, float w);
		
	inline Vector3 getVector3 (void) {
		return Vector3 (x,y,z);
	}

    inline operator float* () {
		return &x;
	}

	inline operator const float* () const {
		return &x;
	}
				
};

#endif // _VECTOR4_H_
